## kirigami-addons 1.7.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

project(kirigami-addons VERSION 1.7.0)

include(FeatureSummary)

set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)

set(QT_REQUIRED_VERSION "6.6")
set(KF_MIN_VERSION "6.5.0")
set(KF_MAJOR_VERSION "6")

find_package(ECM ${KF_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEPackageAppTemplates)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMQmlModule)
include(KDEClangFormat)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick QuickControls2)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons GuiAddons)
if (BUILD_TESTING)
    find_package(Qt6QuickTest ${QT_REQUIRED_VERSION} CONFIG QUIET)
endif()
if (ANDROID)
    find_package(Gradle REQUIRED)
endif()

if(NOT WIN32 AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    find_package(KF6GlobalAccel ${KF_DEP_VERSION} REQUIRED)
    set(HAVE_KGLOBALACCEL TRUE)
else()
    set(HAVE_KGLOBALACCEL FALSE)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6KirigamiAddons")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFKirigamiAddonsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX
)
ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KIRIGAMIADDONS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kirigamiaddons_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfigVersion.cmake"
)

add_subdirectory(src)

if (BUILD_TESTING AND BUILD_SHARED_LIBS)
    add_subdirectory(autotests)
endif()

option(BUILD_EXAMPLES OFF)

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if (NOT ANDROID)
    add_subdirectory(templates)
endif()

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfigVersion.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/KirigamiAddonsMacros.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

install(EXPORT KirigamiAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KirigamiAddonsTargets.cmake COMPONENT Devel)

=== src/components/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

# Labs module

ecm_add_qml_module(componentslabsplugin URI "org.kde.kirigamiaddons.labs.components" VERSION 1.0 CLASS_NAME ComponentsLabsPlugin)

target_sources(componentslabsplugin PRIVATE
    nameutils.h
    nameutils.cpp
    componentslabsplugin.cpp
)

ecm_target_qml_sources(componentslabsplugin SOURCES
    Avatar.qml
    AbstractMaximizeComponent.qml
    AlbumMaximizeComponent.qml
    ImageMaximizeDelegate.qml
    VideoMaximizeDelegate.qml
    AlbumModelItem.qml
    Banner.qml
    DownloadAction.qml
    SearchPopupField.qml
    DialogRoundedBackground.qml
)

target_link_libraries(componentslabsplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
    Qt6::QuickControls2
)

ecm_finalize_qml_module(componentslabsplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

# Non labs module

ecm_add_qml_module(componentsplugin
    URI "org.kde.kirigamiaddons.components"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        org.kde.kirigami
)

target_sources(componentsplugin PRIVATE
    nameutils.h
    nameutils.cpp
    messagedialoghelper.h
    messagedialoghelper.cpp
)

ecm_target_qml_sources(componentsplugin SOURCES
    Avatar.qml
    AvatarButton.qml
    DoubleFloatingButton.qml
    Banner.qml
    BottomDrawer.qml
    DialogRoundedBackground.qml
    FloatingButton.qml
    FloatingToolBar.qml

    MessageDialog.qml
    SearchPopupField.qml
    SegmentedButton.qml
    RadioSelector.qml
    ConvergentContextMenu.qml
)

ecm_target_qml_sources(componentsplugin PRIVATE PATH private SOURCES
    private/ContextMenuPage.qml
    private/ActionsMenu.qml
    private/ActionMenuItem.qml
)

target_link_libraries(componentsplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
    KF6::ConfigCore
    Qt6::QuickControls2
)

ecm_finalize_qml_module(componentsplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/dateandtime/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-License-Identifier: BSD-2-Clause

if (ANDROID)
    add_library(KF6KirigamiDateAndTime)
    add_library(KF6::KirigamiDateAndTime ALIAS KF6KirigamiDateAndTime)
    qt_extract_metatypes(KF6KirigamiDateAndTime)
    target_sources(KF6KirigamiDateAndTime PRIVATE
        androidintegration.cpp
    )
    generate_export_header(KF6KirigamiDateAndTime BASE_NAME KirigamiDateAndTime)
    target_link_libraries(KF6KirigamiDateAndTime PUBLIC Qt6::Core)
    add_subdirectory(android)
    install(TARGETS KF6KirigamiDateAndTime EXPORT KirigamiAddonsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

ecm_add_qml_module(dateandtimeplugin
    URI "org.kde.kirigamiaddons.dateandtime"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        org.kde.kirigami
        org.kde.kirigamiaddons.components
        org.kde.kirigamiaddons.delegates
)

target_compile_definitions(dateandtimeplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami-addons6\")

target_sources(dateandtimeplugin PRIVATE
    yearmodel.cpp
    monthmodel.cpp
    infinitecalendarviewmodel.cpp
    types.h
)

ecm_target_qml_sources(dateandtimeplugin SOURCES
    DatePopup.qml
    TimePopup.qml
    TimePicker.qml
)

ecm_target_qml_sources(dateandtimeplugin PATH private SOURCES
    private/DatePathView.qml
    private/DatePicker.qml
    private/DatePickerDelegate.qml
)

target_link_libraries(dateandtimeplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
    KF6::I18n
)
if (TARGET KF6KirigamiDateAndTime)
    target_link_libraries(dateandtimeplugin PRIVATE KF6KirigamiDateAndTime)
endif()

ecm_finalize_qml_module(dateandtimeplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/delegates/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(delegatesplugin
    URI "org.kde.kirigamiaddons.delegates"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        org.kde.kirigami
        org.kde.kirigamiaddons.treeview
        org.kde.kitemmodels
)

ecm_target_qml_sources(delegatesplugin SOURCES
    RoundedItemDelegate.qml
    RoundedTreeDelegate.qml
    IndicatorItemDelegate.qml
    DefaultContentItem.qml
    SubtitleContentItem.qml
)

target_link_libraries(delegatesplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
)

ecm_finalize_qml_module(delegatesplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/formcard/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

# FormCard module
ecm_add_qml_module(formcardplugin
    URI "org.kde.kirigamiaddons.formcard"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        org.kde.coreaddons
        org.kde.kirigami
        org.kde.kirigamiaddons.components
        org.kde.kirigamiaddons.dateandtime
        org.kde.kirigamiaddons.delegates
)

ecm_target_qml_sources(formcardplugin SOURCES
    AbstractFormDelegate.qml
    FormArrow.qml
    FormButtonDelegate.qml
    FormCard.qml
    FormCardPage.qml
    FormHeader.qml
    AboutPage.qml
    AboutKDE.qml
    AboutKDEPage.qml
    FormCheckDelegate.qml
    FormComboBoxDelegate.qml
    FormDelegateBackground.qml
    FormDelegateSeparator.qml
    FormPlaceholderMessageDelegate.qml
    FormRadioDelegate.qml
    FormRadioSelectorDelegate.qml
    FormSectionText.qml
    FormSpinBoxDelegate.qml
    FormSwitchDelegate.qml
    FormTextDelegate.qml
    FormTextFieldDelegate.qml
    FormTextAreaDelegate.qml
    FormPasswordFieldDelegate.qml
    FormDateTimeDelegate.qml
    FormGridContainer.qml
    FormCardDialog.qml
)

if(ANDROID)
    ecm_target_qml_sources(formcardplugin SOURCES
        android/FormColorDelegate.qml
    )
else()
    ecm_target_qml_sources(formcardplugin SOURCES
        FormColorDelegate.qml
    )
endif()

target_sources(formcardplugin PRIVATE
    aboutcomponent_p.h
    aboutcomponent.cpp
)
target_compile_definitions(formcardplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami-addons6\")

set_source_files_properties(private/FormCardUnits.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)

ecm_target_qml_sources(formcardplugin PATH private SOURCES
    private/ContentItemLoader.qml
    private/SpinButton.qml
    private/FormCardUnits.qml
)

target_link_libraries(formcardplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
    KF6::I18n
    KF6::I18n
    KF6::CoreAddons
)

ecm_finalize_qml_module(formcardplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/settings/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(private)

ecm_add_qml_module(settingsplugin
    URI "org.kde.kirigamiaddons.settings"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES "org.kde.kirigamiaddons.settings.private"
)

ecm_target_qml_sources(settingsplugin SOURCES
    SettingAction.qml # deprecated
    CategorizedSettings.qml # deprecated

    ConfigurationView.qml
    ConfigurationModule.qml
    SpellcheckingConfigurationModule.qml
    ShortcutsConfigurationModule.qml
)

target_link_libraries(settingsplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
)

ecm_finalize_qml_module(settingsplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/sounds/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Han Young <hanyoung@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(soundsplugin
    URI "org.kde.kirigamiaddons.sounds"
    VERSION 0.1
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        org.kde.kirigami
        org.kde.kirigamiaddons.delegates
)

target_compile_definitions(soundsplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_sounds6\")

target_sources(soundsplugin PRIVATE soundspickermodel.cpp)

ecm_target_qml_sources(soundsplugin SOURCES
    SoundsPicker.qml
)

target_link_libraries(soundsplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
    KF6::I18n
)

ecm_finalize_qml_module(soundsplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/statefulapplication/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: LGPL-2.0-or-later

# StatefulApp module

add_library(KirigamiAddonsStatefulApp
    abstractkirigamiapplication.cpp
    abstractkirigamiapplication.h
    kirigamiactioncollection.cpp
    kirigamiactioncollection.h
    actionsmodel.cpp
    actionsmodel_p.h
    commandbarfiltermodel.cpp
    commandbarfiltermodel_p.h
    shortcutsmodel.cpp
    shortcutsmodel_p.h
)

set_target_properties(KirigamiAddonsStatefulApp PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "KirigamiAddonsStatefulApp"
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KIRIGAMIADDONSBASEAPP
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KirigamiAddonsStatefulAppConfigVersion.cmake"
    SOVERSION 6
)

ecm_generate_export_header(KirigamiAddonsStatefulApp
    VERSION ${PROJECT_VERSION}
    BASE_NAME KirigamiAddonsStatefulApp
    DEPRECATION_VERSIONS
)

ecm_qt_declare_logging_category(KirigamiAddonsStatefulApp
    HEADER debug.h
    IDENTIFIER BASEAPP_LOG
    CATEGORY_NAME org.kde.kirigamiaddons.statefulapp
    DESCRIPTION "Base App"
    EXPORT KIRIGAMI_ADDONS
)

ecm_generate_headers(KirigamiAddonsStatefulApp_HEADERS
    HEADER_NAMES
        KirigamiActionCollection
        AbstractKirigamiApplication
    REQUIRED_HEADERS
        KirigamiAddonsStatefulApp_HEADERS
)

target_link_libraries(KirigamiAddonsStatefulApp
    PUBLIC
        Qt6::Core
        Qt6::Qml
        Qt6::Quick
        KF6::ConfigGui
    PRIVATE
        KF6::I18n
        KF6::CoreAddons
)

target_include_directories(KirigamiAddonsStatefulApp
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KirigamiAddonsStatefulApp>"
)

target_compile_definitions(KirigamiAddonsStatefulApp PRIVATE -DTRANSLATION_DOMAIN=\"kirigami-addons6\")

# Qml plugin

ecm_add_qml_module(KirigamiAddonsStatefulApp
    URI "org.kde.kirigamiaddons.statefulapp"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES QtQuick
    IMPORTS
        "org.kde.kirigamiaddons.statefulapp.private"
        "org.kde.config"
)

ecm_target_qml_sources(KirigamiAddonsStatefulApp SOURCES
    StatefulWindow.qml
)

ecm_finalize_qml_module(KirigamiAddonsStatefulApp DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

# Install files

install(TARGETS KirigamiAddonsStatefulApp EXPORT KirigamiAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/kirigamiaddonsstatefulapp_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KirigamiAddonsStatefulApp"
    COMPONENT Devel
)

install(FILES
    ${KirigamiAddonsStatefulApp_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KirigamiAddonsStatefulApp"
    COMPONENT Devel
)

add_subdirectory(private)
add_subdirectory(labs)

=== src/tableview/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Evgeny Chesnokov <echesnokov@astralinux.ru>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(tableviewplugin
    URI "org.kde.kirigamiaddons.tableview"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        org.kde.kirigami
)

ecm_target_qml_sources(tableviewplugin SOURCES
    qml/ListTableView.qml
    qml/KTableView.qml
    qml/HeaderComponent.qml
)

ecm_target_qml_sources(tableviewplugin PATH private SOURCES
    private/AbstractHeaderComponent.qml
    private/HeaderDelegate.qml
    private/AbstractTable.qml
    private/ListCellDelegate.qml
    private/ListRowDelegate.qml
    private/TableCellDelegate.qml
)

target_link_libraries(tableviewplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
    Qt6::QuickControls2
)

ecm_finalize_qml_module(tableviewplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/treeview/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Marco Martin <notmart@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(treeviewplugin URI "org.kde.kirigamiaddons.treeview" VERSION 1.0 CLASS_NAME TreeViewPlugin)

target_sources(treeviewplugin PRIVATE
    treeviewplugin.cpp
)

ecm_target_qml_sources(treeviewplugin SOURCES
    qml/TreeViewDecoration.qml
)

ecm_target_qml_sources(treeviewplugin
    PRIVATE PATH
    styles/org.kde.desktop
    SOURCES
    qml/styles/org.kde.desktop/TreeViewDecoration.qml
)

target_link_libraries(treeviewplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
    Qt6::QuickControls2
)

ecm_finalize_qml_module(treeviewplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== templates/kirigamiaddons6/src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: %{CURRENT_YEAR} %{AUTHOR} <%{EMAIL}>

add_subdirectory(settings)

qt_add_library(%{APPNAMELC}_static STATIC)
ecm_add_qml_module(%{APPNAMELC}_static
    URI org.kde.%{APPNAMELC}
    GENERATE_PLUGIN_SOURCE
    QML_FILES
        qml/Main.qml
    DEPENDENCIES
        org.kde.kirigamiaddons.formcard
        org.kde.kirigamiaddons.statefulapp
        org.kde.kirigami
        org.kde.%{APPNAMELC}.settings
)

target_sources(%{APPNAMELC}_static PUBLIC
    %{APPNAMELC}application.cpp
    %{APPNAMELC}application.h
)

target_link_libraries(%{APPNAMELC}_static PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    Qt6::QuickControls2
    Qt6::Svg
    KF6::I18n
    KF6::I18nQml
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KirigamiAddonsStatefulApp
)
target_include_directories(%{APPNAMELC}_static PUBLIC ${CMAKE_BINARY_DIR})

if (ANDROID)
    kirigami_package_breeze_icons(ICONS
        list-add
        help-about
        application-exit
        applications-graphics
    )
else()
    target_link_libraries(%{APPNAMELC}_static PUBLIC Qt::Widgets)
endif()

kconfig_add_kcfg_files(%{APPNAMELC}_static GENERATE_MOC %{APPNAMELC}config.kcfgc)

add_executable(%{APPNAMELC} main.cpp)
target_link_libraries(%{APPNAMELC} PUBLIC
    %{APPNAMELC}_static
    %{APPNAMELC}_staticplugin
    %{APPNAMELC}_settings
    %{APPNAMELC}_settingsplugin
)
install(TARGETS %{APPNAMELC} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_add_android_apk(%{APPNAMELC} ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)

=== templates/librarymanager6/src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: %{CURRENT_YEAR} %{AUTHOR} <%{EMAIL}>

add_subdirectory(settings)

qt_add_library(%{APPNAMELC}_static STATIC)
ecm_add_qml_module(%{APPNAMELC}_static
    URI org.kde.%{APPNAMELC}
    GENERATE_PLUGIN_SOURCE
    QML_FILES
        qml/Main.qml
        qml/LibraryPage.qml
        qml/GridBrowserDelegate.qml
        qml/Sidebar.qml
    DEPENDENCIES
        org.kde.kirigamiaddons.formcard
        org.kde.kirigamiaddons.statefulapp
        org.kde.kirigami
        org.kde.%{APPNAMELC}.settings
)

target_sources(%{APPNAMELC}_static PUBLIC
    %{APPNAMELC}application.cpp
    %{APPNAMELC}application.h
)

target_link_libraries(%{APPNAMELC}_static PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    Qt6::QuickControls2
    Qt6::Svg
    KF6::I18n
    KF6::I18nQml
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KirigamiAddonsStatefulApp
)
target_include_directories(%{APPNAMELC}_static PUBLIC ${CMAKE_BINARY_DIR})

if (ANDROID)
    kirigami_package_breeze_icons(ICONS
        list-add
        help-about
        application-exit
        applications-graphics
    )
else()
    target_link_libraries(%{APPNAMELC}_static PUBLIC Qt::Widgets)
endif()

kconfig_add_kcfg_files(%{APPNAMELC}_static GENERATE_MOC %{APPNAMELC}config.kcfgc)

add_executable(%{APPNAMELC} main.cpp)
target_link_libraries(%{APPNAMELC} PUBLIC
    %{APPNAMELC}_static
    %{APPNAMELC}_staticplugin
    %{APPNAMELC}_settings
    %{APPNAMELC}_settingsplugin
)
install(TARGETS %{APPNAMELC} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_add_android_apk(%{APPNAMELC} ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)

=== debian/changelog ===
kirigami-addons (1.7.0-1build2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:02 -0500

kirigami-addons (1.7.0-1build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 03:42:39 -0600

kirigami-addons (1.7.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.7.0).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 15:32:08 +0100

=== debian/control ===
Source: kirigami-addons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <werdahias@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.20~),
               extra-cmake-modules (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6globalaccel-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkirigami-dev (>= 6.6.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-config,
               qml6-module-org-kde-coreaddons,
               qml6-module-org-kde-desktop,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-sonnet,
               qml6-module-qtmultimedia,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kirigami-addons/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons.git
Rules-Requires-Root: no

Package: kirigami-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kirigami-addons
 This package contains the data files shared by all the QML modules of
 kirigami-addons.

Package: kirigami-addons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkirigamiaddonsstatefulapp6 (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-datetime (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-delegates (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-formcard (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-labs-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-settings (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-sounds (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-statefulapp (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-tableview (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-treeview (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Description: development files for kirigami-addons
 This package contains the development files of kirigami-addons.

Package: libkirigamiaddonsstatefulapp6
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: statefulapp library
 This package contains the kirigami-addons statefulapp library.

Package: qml6-module-org-kde-kirigamiaddons-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-kirigamiaddons-formcard,
Description: components module for QML
 This package contains the treeview QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-datetime
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: datetime module for QML
 This package contains the datetime QML module.
 A runtime QML module providing date and time utilities.

Package: qml6-module-org-kde-kirigamiaddons-delegates
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: delegates module for QML
 This package contains the treeview QML module.
 A runtime QML module providing delegates utilities.

Package: qml6-module-org-kde-kirigamiaddons-formcard
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: formcard module for QML
 This package contains the treeview QML module.
 A runtime QML module providing formcard utilities.

Package: qml6-module-org-kde-kirigamiaddons-labs-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: labs/components module for QML
 This package contains the labs/components QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-settings
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: settings module for QML
 This package contains the treeview QML module.
 A runtime QML module providing settings utilities.

Package: qml6-module-org-kde-kirigamiaddons-sounds
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: sounds module for QML
 This package contains the sounds QML module.
 A runtime QML module providing sound utilities.

Package: qml6-module-org-kde-kirigamiaddons-statefulapp
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: statefulapp module for QML
 This package contains the statefulapp QML module.
 A runtime QML module providing statefulapp utilities.

Package: qml6-module-org-kde-kirigamiaddons-tableview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: tableview module for QML
 This package contains the tableview QML module.
 A runtime QML module providing tableview utilities.

Package: qml6-module-org-kde-kirigamiaddons-treeview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: treeview module for QML
 This package contains the treeview QML module.
 A runtime QML module providing treeview utilities.

## kirigami-addons 1.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
 # SPDX-License-Identifier: BSD-2-Clause
 
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.20)
 
-project(kirigami-addons VERSION 1.7.0)
+project(kirigami-addons VERSION 1.9.0)
 
 include(FeatureSummary)
 
@@ -32,8 +32,11 @@
 include(ECMAddQch)
 include(ECMQmlModule)
 include(KDEClangFormat)
+include(ECMGenerateQDoc)
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick QuickControls2)
+find_package(Qt6Tools CONFIG)
+find_package(Qt6 COMPONENTS ToolsTools CONFIG)
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons GuiAddons)
 if (BUILD_TESTING)
@@ -51,9 +54,6 @@
 endif()
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6KirigamiAddons")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KFKirigamiAddonsConfig.cmake.in"
@@ -93,7 +93,7 @@
 
 ki18n_install(po)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 install(EXPORT KirigamiAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
         FILE KirigamiAddonsTargets.cmake COMPONENT Devel)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

if(NOT Qt6QuickTest_FOUND)
    message(STATUS "QtQuickTest not found, autotests will not be built.")
    return()
endif()

add_library(test-artefacts STATIC
    example_albummodel.cpp
)

target_link_libraries(test-artefacts
    Qt6::Core
    Qt6::Gui
)

add_executable(qmltest qmltests.cpp)
ecm_add_qml_module(qmltest URI "org.kde.kirigami.addons.test")
if (NOT QT6_IS_SHARED_LIBS_BUILD)
    qt6_import_qml_plugins(qmltest)
endif()

target_link_libraries(qmltest PRIVATE
    test-artefacts
    Qt6::QuickTest
    Qt6::Qml
    KF6::I18n
)

macro(kirigami_add_tests)
    if (WIN32)
        set(_extra_args -platform offscreen)
    endif()

    foreach(test ${ARGV})
        add_test(NAME ${test}
                 COMMAND qmltest
                        ${_extra_args}
                        -import ${CMAKE_BINARY_DIR}/bin
                        -input ${test}
                 WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )
    endforeach()
endmacro()

kirigami_add_tests(
    tst_avatar.qml
    tst_sounds.qml
    tst_album_qmllistmodel.qml
    tst_album_abstractlistmodel.qml
    tst_album_qmlqobjectmodel.qml
)

=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Thiago Masato Costa Sueto <thiago.sueto@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(FormCardTutorial)
add_subdirectory(TableViewTutorial)

=== examples/FormCardTutorial/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20)

project(FormCardTutorial)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMQmlModule)

find_package(Qt6 REQUIRED COMPONENTS
    Widgets        # For QApplication
    Quick          # For QML
    QuickControls2 # For QQuickStyle
)
find_package(KF6 REQUIRED COMPONENTS
    CoreAddons # For KAboutData
    I18n       # For KLocalizedContext
)
qt_policy(SET QTP0001 NEW)

add_executable(addonsexample)

target_sources(addonsexample PRIVATE main.cpp)

ecm_add_qml_module(addonsexample
    GENERATE_PLUGIN_SOURCE
    URI org.kde.addonsexample
)

ecm_target_qml_sources(addonsexample SOURCES
    Main.qml
    SettingsPage.qml
    JsonAboutPage.qml
)

target_link_libraries(addonsexample PRIVATE
    Qt::Widgets
    Qt::Quick
    Qt::QuickControls2
    KF6::CoreAddons
    KF6::I18n
)

install(TARGETS addonsexample DESTINATION ${KDE_INSTALL_BINDIR})

=== examples/TableViewTutorial/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Evgeny Chesnokov <echesnokov@astralinux.ru>
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.20)

project(TableViewTutorial)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)

find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS
    Widgets        # For QApplication
    Quick          # For QML
    QuickControls2 # For QQuickStyle
)
find_package(KF${QT_MAJOR_VERSION} REQUIRED COMPONENTS
    CoreAddons # For KAboutData
    I18n       # For KLocalizedContext
)

add_executable(tableviewexample)

target_sources(tableviewexample PRIVATE
    main.cpp
    book.h book.cpp
    booklistmodel.h booklistmodel.cpp
    booktablemodel.h booktablemodel.cpp
    resources.qrc
)

target_link_libraries(tableviewexample PRIVATE
    Qt::Widgets
    Qt::Quick
    Qt::QuickControls2
    KF${QT_MAJOR_VERSION}::CoreAddons
    KF${QT_MAJOR_VERSION}::I18n
)

install(TARGETS addonsexample DESTINATION ${KDE_INSTALL_BINDIR})

=== src/components/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,10 @@
 # Labs module
 
 ecm_add_qml_module(componentslabsplugin URI "org.kde.kirigamiaddons.labs.components" VERSION 1.0 CLASS_NAME ComponentsLabsPlugin)
+
+if (TARGET Qt6::qdoc AND TARGET Qt6::qhelpgenerator)
+    ecm_generate_qdoc(componentslabsplugin components.qdocconf)
+endif()
 
 target_sources(componentslabsplugin PRIVATE
     nameutils.h

=== src/dateandtime/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,10 @@
         org.kde.kirigamiaddons.components
         org.kde.kirigamiaddons.delegates
 )
+
+if (TARGET Qt6::qdoc AND TARGET Qt6::qhelpgenerator)
+    ecm_generate_qdoc(dateandtimeplugin dateandtime.qdocconf)
+endif()
 
 target_compile_definitions(dateandtimeplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami-addons6\")

=== src/delegates/CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,15 @@
         org.kde.kitemmodels
 )
 
+if (TARGET Qt6::qdoc AND TARGET Qt6::qhelpgenerator)
+    ecm_generate_qdoc(delegatesplugin delegates.qdocconf)
+endif()
+
 ecm_target_qml_sources(delegatesplugin SOURCES
     RoundedItemDelegate.qml
     RoundedTreeDelegate.qml
+    CheckDelegate.qml
+    RadioDelegate.qml
     IndicatorItemDelegate.qml
     DefaultContentItem.qml
     SubtitleContentItem.qml

=== src/formcard/CMakeLists.txt ===
--- 
+++ 
@@ -14,48 +14,63 @@
         org.kde.kirigamiaddons.delegates
 )
 
+if (TARGET Qt6::qdoc AND TARGET Qt6::qhelpgenerator)
+    ecm_generate_qdoc(formcardplugin formcard.qdocconf)
+endif()
+
 ecm_target_qml_sources(formcardplugin SOURCES
+    AboutKDE.qml
+    AboutKDEPage.qml
+    AboutPage.qml
     AbstractFormDelegate.qml
     FormArrow.qml
     FormButtonDelegate.qml
     FormCard.qml
+    FormCardDialog.qml
     FormCardPage.qml
-    FormHeader.qml
-    AboutPage.qml
-    AboutKDE.qml
-    AboutKDEPage.qml
     FormCheckDelegate.qml
     FormComboBoxDelegate.qml
+    FormDateTimeDelegate.qml
     FormDelegateBackground.qml
     FormDelegateSeparator.qml
+    FormFileDelegate.qml
+    FormFolderDelegate.qml
+    FormGridContainer.qml
+    FormHeader.qml
+    FormLinkDelegate.qml
+    FormPasswordFieldDelegate.qml
     FormPlaceholderMessageDelegate.qml
     FormRadioDelegate.qml
     FormRadioSelectorDelegate.qml
     FormSectionText.qml
     FormSpinBoxDelegate.qml
     FormSwitchDelegate.qml
+    FormTextAreaDelegate.qml
     FormTextDelegate.qml
     FormTextFieldDelegate.qml
-    FormTextAreaDelegate.qml
-    FormPasswordFieldDelegate.qml
-    FormDateTimeDelegate.qml
-    FormGridContainer.qml
-    FormCardDialog.qml
 )
 
 if(ANDROID)
     ecm_target_qml_sources(formcardplugin SOURCES
         android/FormColorDelegate.qml
+        android/FormIconDelegate.qml
     )
 else()
     ecm_target_qml_sources(formcardplugin SOURCES
         FormColorDelegate.qml
+        FormIconDelegate.qml
     )
 endif()
 
 target_sources(formcardplugin PRIVATE
+    aboutcomponent.cpp
     aboutcomponent_p.h
-    aboutcomponent.cpp
+    filehelper.cpp
+    filehelper_p.h
+    passwordhealth.cpp
+    passwordhealth.h
+    zxcvbn/zxcvbn.c
+    zxcvbn/zxcvbn.h
 )
 target_compile_definitions(formcardplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami-addons6\")

=== src/settings/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
     GENERATE_PLUGIN_SOURCE
     DEPENDENCIES "org.kde.kirigamiaddons.settings.private"
 )
+
+if (TARGET Qt6::qdoc AND TARGET Qt6::qhelpgenerator)
+    ecm_generate_qdoc(settingsplugin settings.qdocconf)
+endif()
 
 ecm_target_qml_sources(settingsplugin SOURCES
     SettingAction.qml # deprecated

=== src/sounds/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
         org.kde.kirigami
         org.kde.kirigamiaddons.delegates
 )
+
+if (TARGET Qt6::qdoc AND TARGET Qt6::qhelpgenerator)
+    ecm_generate_qdoc(soundsplugin sounds.qdocconf)
+endif()
 
 target_compile_definitions(soundsplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_sounds6\")

=== src/treeview/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # SPDX-License-Identifier: BSD-2-Clause
 
 ecm_add_qml_module(treeviewplugin URI "org.kde.kirigamiaddons.treeview" VERSION 1.0 CLASS_NAME TreeViewPlugin)
+
+if (TARGET Qt6::qdoc AND TARGET Qt6::qhelpgenerator)
+    ecm_generate_qdoc(treeviewplugin treeview.qdocconf)
+endif()
 
 target_sources(treeviewplugin PRIVATE
     treeviewplugin.cpp

=== debian/changelog ===
kirigami-addons (1.9.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Sep 2025 06:31:49 +0100

kirigami-addons (1.9.0-0ubuntu1) questing; urgency=medium

  * New upstream release (1.9.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Jul 2025 18:58:55 +0100

kirigami-addons (1.8.0-0ubuntu1) questing; urgency=medium

  * New upstream release (1.8.0)
  * Add qml6-module-org-kde-iconthemes to build depends for qmldeps
    detection.

 -- Rik Mills <rikmills@kde.org>  Wed, 21 May 2025 09:53:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kirigami-addons
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Geiger <werdahias@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -20,6 +21,7 @@
                qml6-module-org-kde-config,
                qml6-module-org-kde-coreaddons,
                qml6-module-org-kde-desktop,
+               qml6-module-org-kde-iconthemes,
                qml6-module-org-kde-kitemmodels,
                qml6-module-org-kde-sonnet,
                qml6-module-qtmultimedia,
@@ -28,8 +30,8 @@
                qt6-declarative-private-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/libraries/kirigami-addons/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons.git
+Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-addons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-addons
 Rules-Requires-Root: no
 
 Package: kirigami-addons-data
